%define snapshot 20071012

Packager: Stanislav Ievlev <inger@altlinux.org>

Name: foomatic-db
Version: 3.0.2
Release: alt5.%snapshot

Summary: Foomatic printer database
License: GPL
Group: Publishing

BuildArch: noarch


Url: http://www.linuxprinting.org

Source: http://www.linuxprinting.org/download/foomatic/%name-%version.tar
PreReq: foomatic-db-engine = %version

#we need foomatic-kitload during install
BuildPreReq: foomatic-db-engine cups >= 1.2.1

# Automatically added by buildreq on Fri May 26 2006 (-bi)
BuildRequires: cups foomatic-db-engine

%description
This package is the Foomatic database, an XML database containing                                   
information about the capabilities of near 1000 printers and around                                 
250 drivers. Especially it contains the information how and with which                              
options the drivers have to be executed.

The site http://www.linuxprinting.org/ is based in this database.

%prep
%setup -q


%build
./make_configure
%configure --disable-gzip-ppds


# Delete drivers with empty command line prototype, they would give
# unusable printer/driver combos.
FOOMATICDB=`pwd` %_sbindir/foomatic-cleanupdrivers

%install
# Install data files
make	PREFIX=%_prefix \
        DESTDIR=%buildroot \
        install

%files
%doc README USAGE ChangeLog
%_datadir/foomatic
%_datadir/cups/model/foomatic-db-ppds

#not found in tarball
#%exclude %_datadir/foomatic/db/source/PPD/*.sh

%changelog
* Mon Oct 15 2007 Igor Vlasenko <viy@altlinux.ru> 3.0.2-alt5.20071012
- snapshot 20071012

* Thu Oct 11 2007 Igor Vlasenko <viy@altlinux.ru> 3.0.2-alt5.20070919
- CMU (co-maintainer upload):
  snapshot 20070919 

* Thu Sep 06 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt4
- 20070820

* Fri May 26 2006 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt3
- replace gutenprint with gimp-print

* Fri May 26 2006 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt2
- new snapshot

* Mon Apr 03 2006 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt1.20060329
- new snapshot

* Thu Apr 14 2005 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt1.20050404
- 3.0.2 snapshot

* Fri Jan 28 2005 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt3.20040828
- added update-printers-db in post script

* Tue Sep 21 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt2.20040828
- latest snapshot

* Wed May 05 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20040428
- latest snapshot

* Wed Feb 11 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20040128
- new foomatic snapshot
- exclude gimp-print.xml driver

* Fri Dec 26 2003 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20031219
- fix permissions of data files

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt0.20031219
- 3.0.1

* Mon Sep 29 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt3.20030310
- fix build in hasher
- TODO: update database after update of GS

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt2.20030310
- latest snapshot

* Wed Feb 26 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt1.20030213
- Initial release
